<img src="../../../assets/imgs/u.jpg" class="tam" alt="fondo">
<div class="body pt-5">
    <mat-card>
        <div>
            <div fxLayout="row" fxLayoutAlign="center center">
                <img src="../../../assets/imgs/edit.png" alt="usuario" width="50" height="50">
                <h1>Register</h1>
            </div>
            <form [formGroup]="userForm">
                <div fxLayout="row">
                    <mat-form-field class="ancho p-a" appearance="fill">
                        <mat-label>Tipo de usuario</mat-label>
                        <mat-select (ngModelChange)="cambio($event)" name="perfil" formControlName="perfil">
                            <mat-option *ngFor="let p of perfiles" [value]="p.id">
                                {{p.perfil}}
                            </mat-option>
                        </mat-select>
                        <mat-hint>Campo obligatorio.</mat-hint>
                    </mat-form-field>
                </div>
                <div fxLayout="row">
                    <mat-form-field fxFlex="50" class="ancho p-a" appearance="fill">
                        <mat-label>Email</mat-label>
                        <input matInput placeholder="pat@example.com" name="email" formControlName="email">
                        <mat-error *ngIf="userForm.get('email').hasError('required')">Campo Obligatorio</mat-error>
                        <mat-error *ngIf="userForm.get('email').hasError('pattern')">Ingrese un Email Valido</mat-error>
                    </mat-form-field>
                    <mat-form-field fxFlex="50" class="ancho p-a" appearance="fill">
                        <mat-label>Password</mat-label>
                        <input name="password " formControlName="password" matInput [type]="hide ? 'password' : 'text' ">
                        <button mat-icon-button matSuffix (click)="hide=! hide " [attr.aria-label]=" 'Hide password' " [attr.aria-pressed]="hide ">
                        <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                        </button>
                        <mat-error *ngIf="userForm.get('password').hasError('required')">Campo Obligatorio</mat-error>
                        <mat-error *ngIf="userForm.get('password').hasError('minlength')">Minimo 8 caracteres</mat-error>
                        <mat-error *ngIf="userForm.get('password').hasError('maxlength')">Maximo 8 caracteres</mat-error>
                    </mat-form-field>
                </div>
                <div fxLayout="row" *ngIf="userForm.get('password').hasError('pattern')" [ngClass]="{'textmsg':estado}">
                    <mat-error fxFlex="50" class="ancho p-a"></mat-error>
                    <mat-error fxFlex="50" class="ancho p-a">Mínimo una letra mayúscula, una letra minúscula, un número.</mat-error>
                </div>
                <div fxLayout="row">
                    <mat-form-field fxFlex="50" class="ancho p-a" appearance="fill">
                        <mat-label>Nombre</mat-label>
                        <input name="nombre" type="text" matInput formControlName="nombre">
                        <mat-error *ngIf="userForm.get('nombre').hasError('required') ">Campo Obligatorio</mat-error>
                    </mat-form-field>
                    <mat-form-field fxFlex="50" class="ancho p-a" appearance="fill">
                        <mat-label>Apellido Paterno</mat-label>
                        <input name="ape_p" type="text" matInput formControlName="ape_p">
                        <mat-error *ngIf="userForm.get('ape_p').hasError('required')">Campo Obligatorio</mat-error>
                    </mat-form-field>
                </div>
                <div fxLayout="row">
                    <mat-form-field fxFlex="50" class="ancho p-a" appearance="fill">
                        <mat-label>Apellido Materno</mat-label>
                        <input name="ape_m" type="text" matInput formControlName="ape_m">
                    </mat-form-field>
                    <mat-form-field fxFlex="50" class="ancho p-a" appearance="fill">
                        <mat-label>Telefono</mat-label>
                        <input name="telefono" type="number" matInput placeholder="000-000-0000" formControlName="telefono">
                        <mat-error *ngIf="userForm.get('telefono').hasError('required')">Campo Obligatorio</mat-error>
                    </mat-form-field>
                </div>
                <div fxLayout="row">
                    <mat-form-field *ngIf="userForm.get('perfil').value===1" fxFlex="50" class="ancho p-a" appearance="fill">
                        <mat-label>Matricula</mat-label>
                        <input name="matricula" type="text" matInput formControlName="matricula" placeholder="UT--------">
                        <mat-error *ngIf="userForm.get('matricula').hasError('required')">Campo obligatorio.</mat-error>
                        <mat-error *ngIf="userForm.get('matricula').hasError('minlength')">Minimo 10 caracteres</mat-error>
                        <mat-error *ngIf="userForm.get('matricula').hasError('maxlength')">Maximo 10 caracteres</mat-error>
                    </mat-form-field>
                    <mat-form-field *ngIf="userForm.get('perfil').value===1" fxFlex="50" class="ancho p-a" appearance="fill">
                        <mat-label>Carrera</mat-label>
                        <mat-select name="carrera" formControlName="carrera">
                            <mat-option *ngFor="let c of carreras" [value]="c.id">
                                {{c.carrera}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>
                <div fxLayout="row" *ngIf="userForm.get('matricula').hasError('pattern')" [ngClass]="{'textmsg2':estado}">
                    <mat-error fxFlex="50" class="ancho p-a">Ingrese 4 letras mayúsculas, seguido de 6 números.</mat-error>
                </div>
                <div fxLayout="row">
                    <mat-form-field *ngIf="userForm.get('perfil').value===2 || userForm.get('perfil').value===3" fxFlex="50" class="ancho p-a" appearance="fill">
                        <mat-label>RFC.</mat-label>
                        <input name="rfc" type="text" matInput formControlName="rfc">
                        <mat-error *ngIf="userForm.get('rfc').hasError('required')">Campo obligatorio</mat-error>
                    </mat-form-field>
                    <mat-form-field *ngIf="userForm.get('perfil').value===2" fxFlex="50" class="ancho p-a" appearance="fill">
                        <mat-label>N.Control</mat-label>
                        <input name="n_control" type="text" matInput formControlName="n_control">
                        <mat-error *ngIf="userForm.get('n_control').hasError('required')">Campo obligatorio</mat-error>
                    </mat-form-field>
                    <mat-form-field *ngIf="userForm.get('perfil').value===3" fxFlex="50" class="ancho p-a" appearance="fill">
                        <mat-label>Ubicacion</mat-label>
                        <textarea matInput #message maxlength="1000" name="ubicacion" type="text" formControlName="ubicacion" matTextareaAutosize matAutosizeMinRows=1 matAutosizeMaxRows=1></textarea>
                        <mat-hint align="end">{{message.value.length}} / 1000</mat-hint>
                    </mat-form-field>
                </div>
                <div fxLayout="row" *ngIf="userForm.get('rfc').errors?.pattern" [ngClass]="{'textmsg2':estado}">
                    <mat-error fxFlex="50" class="ancho p-a">Ingrese 13 dígitos, 4 letras mayúsculas, 6 números y la homoclave 3 dígitos.</mat-error>
                </div>
                <mat-form-field *ngIf="userForm.get('perfil').value===3" class="ancho p-a" appearance="fill">
                    <mat-label>Descripcion</mat-label>
                    <textarea matInput #message maxlength="5000" name="descripcion" type="text" formControlName="descripcion" matTextareaAutosize matAutosizeMinRows=1 matAutosizeMaxRows=1></textarea>
                    <mat-hint align="end">{{message.value.length}} / 5000</mat-hint>
                </mat-form-field>
                <div class="msg">
                    <button (click)="newUser()" type="submit" class="ancho button" mat-raised-button color="accent">Registrarse</button>
                </div>
            </form>
        </div>
        <div class="log">
            <p>¿Ya tienes cuenta?
                <button mat-button color="accent" [routerLink]="['/login']">Login</button>
            </p>
        </div>

    </mat-card>
</div>